Bug Hunting Session
Bug 100222 - No message to restart LO when disabling OpenCL, but keeping software interpreter enabled
Summary: No message to restart LO when disabling OpenCL, but keeping software interpre...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0.2 target:5.1.5
Keywords:
Depends on:
Blocks: OpenCL
  Show dependency treegraph
 
Reported: 2016-06-05 03:49 UTC by Aron Budea
Modified: 2016-10-25 18:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2016-06-05 03:49:57 UTC
Introduction:
Currently, if I disable 'Tools -> Options... -> LibreOffice -> OpenCL -> Allow use of Software Interpreter (even when OpenCL is not available)', there is a message asking to restart LO for the changes to take effect, which is correct.

Bug:
On the other hand, if I disable/enable 'Allow use of OpenCL', there is no such message. However, currently a restart is required even for that change to take effect. Found it out with bug 99753, which only occurs with the software interpreter: Calc had to be restarted after switching 'Allow use of OpenCL' for the bug to occur.


Oh, as it turns out from duplicate suggestions here, bug 99753 is actually a duplicate of bug 75387.
Comment 1 m.a.riosv 2016-06-05 15:54:30 UTC
Reproducible.
Win10x64
Version: 5.1.4.1 (x64)
Build ID: a4d48e4ff0e9f93e78b6356ca7b0b6303e360356
CPU Threads: 1; OS Version: Windows 6.19; UI Render: GL;
Comment 2 Commit Notification 2016-06-23 14:48:16 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7c27b9b191291cf36e4940aef3e3e7371855797

tdf#100222: Inform user that a restart is needed after toggling OpenCL use

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Tor Lillqvist 2016-06-23 14:51:02 UTC
Added that message to master, cherry-picks awaiting review in Gerrit for 5.2 and 5.1. Resolving as fixed.
Comment 4 Commit Notification 2016-06-26 20:11:02 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=169e9fb16f025bc5791d3ea5242596e3dcc4f023&h=libreoffice-5-2

tdf#100222: Inform user that a restart is needed after toggling OpenCL use

It will be available in 5.2.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-06-26 20:12:32 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d3a5d8aa07e575c153316a9725f36c43abd0bca&h=libreoffice-5-1

tdf#100222: Inform user that a restart is needed after toggling OpenCL use

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Aron Budea 2016-06-26 21:01:07 UTC
I tested this now with a master daily build from two days ago, and there is a tiny little remaining issue: if both checkboxes are changed at the same time, there are two popups.
Comment 7 Commit Notification 2016-06-27 07:31:54 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e7ca62bbd485c5f450e720c8102db2ab9561429f

tdf#100222: Show the dialog just once even if both toggles were changed

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-06-27 10:15:11 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aaeeb0288dfeeeed9beb33efc0a693bc1a025986&h=libreoffice-5-2

tdf#100222: Show the dialog just once even if both toggles were changed

It will be available in 5.2.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Tor Lillqvist 2016-06-27 12:11:02 UTC
After the above, resolving again. Cherry-pick for the 5.1 branch waiting in gerrit.
Comment 10 Commit Notification 2016-06-29 13:52:12 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93440e1c1237a2237e8a3b8914514d8889bb6172&h=libreoffice-5-1

tdf#100222: Show the dialog just once even if both toggles were changed

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.